/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.web.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Lino Alves
 */
@ExtendedObjectClassDefinition(category = "forms-and-workflow")
@Meta.OCD(
	id = "com.liferay.dynamic.data.mapping.web.configuration.DDMWebConfiguration",
	localization = "content/Language", name = "ddm-web-configuration-name"
)
public interface DDMWebConfiguration {

	/**
	 * Returns <code>true</code> if dynamic data mapping structure keys should
	 * always be autogenerated.
	 *
	 * @return <code>true</code> if dynamic data mapping structure keys should
	 *         always be autogenerated; <code>false</code> otherwise
	 */
	@Meta.AD(
		deflt = "true", description = "autogenerate-structure-key-description",
		required = false
	)
	public boolean autogenerateStructureKey();

	/**
	 * Returns <code>true</code> if dynamic data mapping template keys should
	 * always be autogenerated.
	 *
	 * @return <code>true</code> if dynamic data mapping template keys should
	 *         always be autogenerated; <code>false</code> otherwise
	 */
	@Meta.AD(
		deflt = "true", description = "autogenerate-template-key-description",
		required = false
	)
	public boolean autogenerateTemplateKey();

	@Meta.AD(
		deflt = "false",
		description = "changeable-default-language-description",
		name = "changeable-default-language", required = false
	)
	public boolean changeableDefaultLanguage();

}